/***************************** FILE HEADER *********************************/
/*!
*  \file      aboutdialog.cpp
*
*  \brief     This file implements the Actions in the About Dialog
*
*  \note
*
*  \author    L&T Technology Services Limited
*  \copyright Copyright (c) 2018 Hirschmann Automation & Control GmbH
*
*
*  \version 1a 2018-07-06 Julia Greiss standard header added to file.
*
*//**************************** FILE HEADER *********************************/

/******************************************************************************
 * Includes
 ******************************************************************************/
#include "aboutdialog.h"
#include "ui_aboutdialog.h"


#include <QFileDialog>
#include <QDesktopServices>


/****************************************************************************************
Function Name			:	aboutDialog(QWidget *parent)
Function/DLD ID 		:   SWR_AD_01
Purpose of Function		:   Constructor for about Dialog
Author/Date     		: 	Manu Singh
Modified by/Date		:
Inputs                  :   Parent
Return                  :   Void
Remarks                 :
*****************************************************************************************/
aboutDialog::aboutDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::aboutDialog)
{
    ui->setupUi(this);
    setWindowTitle("About");
    setWindowFlags(Qt::WindowTitleHint | Qt::Dialog | Qt::WindowCloseButtonHint | Qt::CustomizeWindowHint);
}
/****************************************************************************************
Function Name			:	~aboutDialog()
Function/DLD ID 		:   SWR_AD_02
Purpose of Function		:   Destructor for about Dialog
Author/Date     		: 	Manu Singh
Modified by/Date		:
Inputs                  :   None
Return                  :   Void
Remarks                 :
*****************************************************************************************/
aboutDialog::~aboutDialog()
{
    delete ui;
}
/****************************************************************************************
Function Name			:	on_pushButton_clicked()
Function/DLD ID 		:   SWR_AD_03
Purpose of Function		:   Slot for push button on about Dialog
Author/Date     		: 	Manu Singh
Modified by/Date		:
Inputs                  :   None
Return                  :   Void
Remarks                 :
*****************************************************************************************/
void aboutDialog::on_pushButton_clicked()
{
    close();
}

/****************************************************************************************
Function Name			:	on_pushButton_licensetext_clicked()
Function/DLD ID 		:
Purpose of Function		:   Slot for push button on about Dialog
Author/Date     		: 	Julia Greiss
Modified by/Date		:
Inputs                  :   None
Return                  :   Void
Remarks                 :
*****************************************************************************************/
void aboutDialog::on_pushButton_licensetext_clicked()
{
    QDir dirpath;
    QString urlFile;
    urlFile.append("file:///");
    urlFile.append(dirpath.currentPath()).append("/Licenses/licensetext.html");

    QDesktopServices::openUrl(urlFile);

}
