/***************************** FILE HEADER *********************************/
/*!
*  \file      clickQlabel.cpp
*
*  \brief     This file implements QLable for clicking.
*
*  \note
*
*  \author    L&T Technology Services Limited
*  \copyright Copyright (c) 2018 Hirschmann Automation & Control GmbH
*
*
*  \version 1a 2018-07-06 Julia Greiss standard header added to file.
*
*//**************************** FILE HEADER *********************************/

/******************************************************************************
 * Includes
 ******************************************************************************/
#include "clickqlabel.h"

/****************************************************************************************
Function Name			:	clickQlabel
Function/DLD ID 		:   SWR_CQL_01
Purpose of Function		:   Customize the QLable for clicking
Author/Date     		: 	<Manu Singh  22\04\13>
Modified by/Date		:	<Manu Singh  16/12/2013>
Calls                   :
Inputs                  :   Right Click, Left Click, Double Click
Return                  :   Void
Remarks                 :
*****************************************************************************************/
clickQlabel::clickQlabel(QWidget * parent ) :
    QLabel(parent)
{

    QLabelLabelInfo = new QLabel(this);
    QLabelLabelInfo->setStyleSheet("background-color : transparent;border-color: transparent");
    QLabelLabelInfo->setFrameStyle(QFrame::NoFrame);
    QLabelLabelInfo->setWordWrap(true);

    /* Into layout */
    QHBoxLayout *lyt = new QHBoxLayout();
    lyt->setContentsMargins(0,0,0,0);
    lyt->addStretch(1);
    lyt->addWidget(QLabelLabelInfo,1, Qt::AlignHCenter|Qt::AlignVCenter);
    this->setLayout(lyt);
}
/****************************************************************************************
Function Name			:	~clickQlabel()
Function/DLD ID 		:   SWR_CQL_02
Purpose of Function		:
Author/Date     		: 	<Manu Singh  22\04\13>
Modified by/Date		:
Calls                   :
Inputs                  :   click on label
Return                  :   Void
Remarks                 :
*****************************************************************************************/
clickQlabel::~clickQlabel()
{

}
/****************************************************************************************
Function Name			:	mousePressEvent(QMouseEvent * e)
Function/DLD ID 		:   SWR_CQL_03
Purpose of Function		:
Author/Date     		: 	<Manu Singh  22\04\13>
Modified by/Date		:
Calls                   :
Inputs                  :   QMouseEvent
Return                  :   Void
Remarks                 :
*****************************************************************************************/
void clickQlabel::mousePressEvent(QMouseEvent * QMouseEventE)
{
    if((QMouseEventE->button() == Qt::LeftButton)&&(QMouseEventE->modifiers() == Qt::ControlModifier))
    {
        emit leftcontrolbuttonclick();
    }
    else if(QMouseEventE->button() == Qt::LeftButton)
    {
        emit leftbuttonclick();
    }

}
/****************************************************************************************
Function Name			:	mouseDoubleClickEvent(QMouseEvent *e)
Function/DLD ID 		:   SWR_CQL_04
Purpose of Function		:
Author/Date     		: 	<Manu Singh  22\04\13>
Modified by/Date		:
Calls                   :
Inputs                  :   QMouseEvent
Return                  :   Void
Remarks                 :
*****************************************************************************************/
void clickQlabel::mouseDoubleClickEvent(QMouseEvent *QMouseEventE)
{
    if(QMouseEventE->button() == Qt::LeftButton)
        emit doubleclick();
}
