/***************************** FILE HEADER *********************************/
/*!
*  \file      cpdfreport.h
*
*
*  \author    L&T Technology Services Limited
*  \copyright Copyright (c) 2018 Hirschmann Automation & Control GmbH
*
*
*  \version 1a 2018-07-06 Julia Greiss standard header added to file.
*
*//**************************** FILE HEADER *********************************/

#ifndef CPDFREPORT_H
#define CPDFREPORT_H

#include <QTextCursor>
#include <QPainter>
#include <QTextDocument>
#include <QTextTable>
#include <QPrinter>

#include <QTextFrame>
#include <QTextFrameFormat>
#include <QDate>

class CPdfReport
{
private:

    QTextCursor* pQTextCursorReport;
    QTextFrame *pQTextFrameRoot;

    QTextCharFormat oQTextCharFormatHeader1;
    QTextCharFormat oQTextCharFormatHeader2;
    QTextCharFormat oQTextCharFormatHeader3;
    QTextCharFormat oQTextCharFormatHeader4;
    QTextCharFormat oQTextCharFormatTableHeader;
    QTextCharFormat oQTextCharFormatTableData;
    QTextCharFormat oQTextCharFormatSpacing;

    QTextTableFormat oQQTextTableFormatReport;

    QTextTableCell oQTextTableCellCopy;
    QTextCharFormat oQTextCharFormatGrey;
    QTextCharFormat oQTextCharFormatWhite;

    QTextBlockFormat oQTextBlockFormatCenterAlignment;
    QTextBlockFormat oQTextBlockFormatRightAlignment;

    unsigned char ucNumberOfPorts;
    unsigned char ucPageNumber;

    void createReport(void);
    void pageLayoutTableCreate(void);
    void headerLayoutTableCreate(void);
    void footerLayoutTableCreate(void);
    void page1BodyLayoutTable(void);
    void page2BodyLayoutTable(void);
    void generalInformationLayoutTable(void);
    void globalParametersLayoutTable(void);
    void portParametersLayoutTable(void);
    void alarmPswAndQoSVlanLayoutTable(void);
    void qoSDscpLayoutTable(void);

    QString filePath;
    int modelIndex;
public:
    CPdfReport(int index, QString path);
    ~CPdfReport();

    void generatePdfReport(void);
};

#endif // CPDFREPORT_H
