/***************************** FILE HEADER *********************************/
/*!
*  \file      dialogconfigid.h
*
*
*  \author    L&T Technology Services Limited
*  \copyright Copyright (c) 2018 Hirschmann Automation & Control GmbH
*
*
*  \version 1a 2018-07-06 Julia Greiss standard header added to file.
*
*//**************************** FILE HEADER *********************************/

#ifndef DIALOGCONFIGID_H
#define DIALOGCONFIGID_H

#include <QDialog>
#include <QVBoxLayout>
#include<QLabel>
#include<QRadioButton>
#include<QGroupBox>
#include<QPushButton>
#include "globaldata.h"
#include "portdata.h"
#include "productdetails.h"

namespace Ui {
class DialogConfigID;
}

class DialogConfigID : public QDialog
{
    Q_OBJECT

public:
    explicit DialogConfigID(QWidget *parent = 0);
    ~DialogConfigID();

    void dynamicAdditionRadiobuttons();
    void settingRadiobuttons(unsigned char idfromcsv);

    QVBoxLayout *Vlayout;
    QLabel *csvlabel;
    QRadioButton *rb_csv[3];
    QGroupBox *gb_Listofbuttons;


public slots:
   void radioButtonSelect(int select);


private slots:
    void on_buttonBox_configId_accepted();
    void on_buttonBox_configId_rejected();

private:
    Ui::DialogConfigID *ui;
};

#endif // DIALOGCONFIGID_H
