/***************************** FILE HEADER *********************************/
/*!
*  \file      portdata.h
*
*
*  \author    L&T Technology Services Limited
*  \copyright Copyright (c) 2018 Hirschmann Automation & Control GmbH
*
*
*  \version 1a 2018-07-06 Julia Greiss standard header added to file.
*
*//**************************** FILE HEADER *********************************/

#ifndef PORTDATA
#define PORTDATA
#include "globaldata.h"
#include "productdetails.h"
const SProductData stProductData[MAX_PRODUCT_NUMBERS] =
{
	//Product 1
{
		//Product ID
		PRODUCT_1_PRODUCTID,
				//Product Name
		PRODUCT_1_PRODUCTNAME,
				//Product Line
		PRODUCT_1_PRODUCTLINE,
				//Product Type
		PRODUCT_1_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model16.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		0,
		//Tp Port geometry
		QRect(94,48,24,31),	 //Port 1
	QRect(94,84,24,31),	 //Port 2
	QRect(94,118,24,31),	 //Port 3
	QRect(94,152,24,32),	 //Port 4
	QRect(94,222,24,31),	 //Port 5
	QRect(0,1,20,20),	 //Port 6
	QRect(0,0,20,20),	 //Port 7
	QRect(0,0,20,20),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_1_JUMBO
	},
	
	//Product 2
{
		//Product ID
		PRODUCT_2_PRODUCTID,
				//Product Name
		PRODUCT_2_PRODUCTNAME,
				//Product Line
		PRODUCT_2_PRODUCTLINE,
				//Product Type
		PRODUCT_2_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model17.png",
		//Number of Total Port
		8,
		//Number of Fiber Port
		0,
		//Tp Port geometry
    QRect(78,89,24,33),	     //Port 1
	QRect(108,89,24,33),	 //Port 2
	QRect(78,125,24,33),	 //Port 3
	QRect(108,125,24,33),	 //Port 4
	QRect(78,160,24,33),	 //Port 5
	QRect(108,160,24,33),	 //Port 6
	QRect(78,196,24,33),	 //Port 7
	QRect(108,196,24,33),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_2_JUMBO
	},
	
	//Product 3
{
        //Product ID  (18, changed from 24ports to 16ports)
		PRODUCT_3_PRODUCTID,
				//Product Name
		PRODUCT_3_PRODUCTNAME,
				//Product Line
		PRODUCT_3_PRODUCTLINE,
				//Product Type
		PRODUCT_3_PRODUCTTYPE,
        //Image Path
        ":/ProductImage/Model21.png",
        //Number of Total Port
        16,
        //Number of Fiber Port
        0,
        //Tp Port geometry
        QRect(82,51,22,25),	 //Port 1
    QRect(105,51,22,25),	 //Port 2
    QRect(82,77,22,25),	 //Port 3
    QRect(105,77,22,25),	 //Port 4
    QRect(82,103,22,25),	 //Port 5
    QRect(105,103,22,25),	 //Port 6
    QRect(82,129,22,25),	 //Port 7
    QRect(105,129,22,25),	 //Port 8
    QRect(82,155,22,25),	 //Port 9
    QRect(105,155,22,25),	 //Port 10
    QRect(82,181,22,25),	 //Port 11
    QRect(105,181,22,25),	 //Port 12
    QRect(82,207,22,24),	 //Port 13
    QRect(105,207,22,24),	 //Port 14
    QRect(82,232,22,25),	 //Port 15
    QRect(105,232,22,25),	 //Port 16
    QRect(0,0,20,20),	 //Port 17
    QRect(0,0,20,20),	 //Port 18
    QRect(0,0,20,20),	 //Port 19
    QRect(0,0,20,20),	 //Port 20
    QRect(0,0,20,20),	 //Port 21
    QRect(0,0,20,20),	 //Port 22
    QRect(0,0,20,20),	 //Port 23
    QRect(0,0,20,20),	 //Port 24
    QRect(0,0,20,20),	 //Port 25
    QRect(0,0,20,20),	 //Port 26
    QRect(0,0,0,0),	 //Port 27
    QRect(0,0,0,0),	 //Port 28
    QRect(0,0,0,0),	 //Port 29
    QRect(0,0,0,0),	 //Port 30
    QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_3_JUMBO
    },
	
	//Product 4
{
		//Product ID
		PRODUCT_4_PRODUCTID,
				//Product Name
		PRODUCT_4_PRODUCTNAME,
				//Product Line
		PRODUCT_4_PRODUCTLINE,
				//Product Type
		PRODUCT_4_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model19.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		0,
		//Tp Port geometry
		QRect(94,48,24,32),	 //Port 1
	QRect(94,84,24,32),	 //Port 2
	QRect(94,118,24,32),	 //Port 3
	QRect(94,152,24,32),	 //Port 4
	QRect(94,221,24,32),	 //Port 5
	QRect(0,0,20,20),	 //Port 6
	QRect(0,0,20,20),	 //Port 7
	QRect(0,0,20,20),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_4_JUMBO
	},
	
	//Product 5
{
		//Product ID
		PRODUCT_5_PRODUCTID,
				//Product Name
		PRODUCT_5_PRODUCTNAME,
				//Product Line
		PRODUCT_5_PRODUCTLINE,
				//Product Type
		PRODUCT_5_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model20.png",
		//Number of Total Port
		8,
		//Number of Fiber Port
		0,
		//Tp Port geometry
		QRect(78,89,24,33),	 //Port 1
	QRect(108,89,24,33),	 //Port 2
	QRect(78,125,24,33),	 //Port 3
	QRect(108,125,24,33),	 //Port 4
	QRect(78,160,24,33),	 //Port 5
	QRect(108,160,24,33),	 //Port 6
	QRect(78,196,24,33),	 //Port 7
	QRect(108,196,24,33),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_5_JUMBO
	},
	
	//Product 6
/*{
		//Product ID
		PRODUCT_6_PRODUCTID,
				//Product Name
		PRODUCT_6_PRODUCTNAME,
				//Product Line
		PRODUCT_6_PRODUCTLINE,
				//Product Type
		PRODUCT_6_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model21.png",
		//Number of Total Port
		16,
		//Number of Fiber Port
		0,
		//Tp Port geometry
		QRect(82,51,22,25),	 //Port 1
	QRect(105,51,22,25),	 //Port 2
	QRect(82,77,22,25),	 //Port 3
	QRect(105,77,22,25),	 //Port 4
	QRect(82,103,22,25),	 //Port 5
	QRect(105,103,22,25),	 //Port 6
	QRect(82,129,22,25),	 //Port 7
	QRect(105,129,22,25),	 //Port 8
	QRect(82,155,22,25),	 //Port 9
	QRect(105,155,22,25),	 //Port 10
	QRect(82,181,22,25),	 //Port 11
	QRect(105,181,22,25),	 //Port 12
	QRect(82,207,22,24),	 //Port 13
	QRect(105,207,22,24),	 //Port 14
	QRect(82,232,22,25),	 //Port 15
	QRect(105,232,22,25),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_6_JUMBO
//former no 942141018, not needed so far. to keep the image and port rectangles copied here.
    //Image Path
            ":/ProductImage/Model18.png",
            //Number of Total Port
            24,
            //Number of Fiber Port
            0,
            //Tp Port geometry
            QRect(53,45,22,24),	 //Port 1
        QRect(76,45,22,24),	 //Port 2
        QRect(53,70,22,25),	 //Port 3
        QRect(76,70,22,25),	 //Port 4
        QRect(53,96,22,25),	 //Port 5
        QRect(76,96,22,25),	 //Port 6
        QRect(53,122,22,25),	 //Port 7
        QRect(76,122,22,25),	 //Port 8
        QRect(53,148,22,25),	 //Port 9
        QRect(76,148,22,25),	 //Port 10
        QRect(53,174,22,25),	 //Port 11
        QRect(76,174,22,25),	 //Port 12
        QRect(53,200,22,25),	 //Port 13
        QRect(76,200,22,25),	 //Port 14
        QRect(53,226,22,24),	 //Port 15
        QRect(76,226,22,24),	 //Port 16
        QRect(115,225,21,24),	 //Port 17
        QRect(137,225,22,24),	 //Port 18
        QRect(114,199,22,24),	 //Port 19
        QRect(137,199,22,24),	 //Port 20
        QRect(114,173,22,25),	 //Port 21
        QRect(137,173,22,25),	 //Port 22
        QRect(114,147,22,25),	 //Port 23
        QRect(137,147,22,25),	 //Port 24
        QRect(0,0,20,20),	 //Port 25
        QRect(0,0,20,20),	 //Port 26
        QRect(0,0,0,0),	 //Port 27
        QRect(0,0,0,0),	 //Port 28
        QRect(0,0,0,0),	 //Port 29
        QRect(0,0,0,0),	 //Port 30
        QRect(0,0,0,0),	 //Port 31
        QRect(0,0,0,0),	 //Port 32
            PRODUCT_6_JUMBO
	},
     */
	
	//Product 7
{
		//Product ID
		PRODUCT_7_PRODUCTID,
				//Product Name
		PRODUCT_7_PRODUCTNAME,
				//Product Line
		PRODUCT_7_PRODUCTLINE,
				//Product Type
		PRODUCT_7_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model24.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		1,
		//Tp Port geometry
		QRect(94,48,24,31),	 //Port 1
	QRect(94,84,24,31),	 //Port 2
	QRect(94,118,24,31),	 //Port 3
	QRect(94,153,24,31),	 //Port 4
	QRect(91,195,25,58),	 //Port 5
	QRect(0,0,20,20),	 //Port 6
	QRect(0,0,20,20),	 //Port 7
	QRect(0,0,20,20),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_7_JUMBO
	},
	
	//Product 8
{
		//Product ID
		PRODUCT_8_PRODUCTID,
				//Product Name
		PRODUCT_8_PRODUCTNAME,
				//Product Line
		PRODUCT_8_PRODUCTLINE,
				//Product Type
		PRODUCT_8_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model25.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		1,
		//Tp Port geometry
		QRect(94,48,24,31),	 //Port 1
	QRect(94,84,24,31),	 //Port 2
	QRect(94,118,24,31),	 //Port 3
	QRect(94,153,24,31),	 //Port 4
	QRect(91,195,25,58),	 //Port 5
	QRect(0,0,20,20),	 //Port 6
	QRect(0,0,20,20),	 //Port 7
	QRect(0,0,20,20),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_8_JUMBO
	},
	
	//Product 9
{
		//Product ID
		PRODUCT_9_PRODUCTID,
				//Product Name
		PRODUCT_9_PRODUCTNAME,
				//Product Line
		PRODUCT_9_PRODUCTLINE,
				//Product Type
		PRODUCT_9_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model26.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		1,
		//Tp Port geometry
		QRect(94,48,24,31),	 //Port 1
	QRect(94,84,24,31),	 //Port 2
	QRect(94,118,24,31),	 //Port 3
	QRect(94,153,24,31),	 //Port 4
	QRect(91,195,25,58),	 //Port 5
	QRect(0,0,20,20),	 //Port 6
	QRect(0,0,20,20),	 //Port 7
	QRect(0,0,20,20),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_9_JUMBO
    },
	
	//Product 10
{
		//Product ID
		PRODUCT_10_PRODUCTID,
				//Product Name
		PRODUCT_10_PRODUCTNAME,
				//Product Line
		PRODUCT_10_PRODUCTLINE,
				//Product Type
		PRODUCT_10_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model27.png",
		//Number of Total Port
		9,
		//Number of Fiber Port
		3,
		//Tp Port geometry
        QRect(73,49,24,31),	 //Port 1
    QRect(73,84,24,31),	 //Port 2
    QRect(73,119,24,31),	 //Port 3
    QRect(73,155,24,31),	 //Port 4
    QRect(73,190,24,31),	 //Port 5
    QRect(73,226,24,31),	 //Port 6
	QRect(114,169,23,31),	 //Port 7
	QRect(114,109,23,31),	 //Port 8
	QRect(114,46,23,31),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_10_JUMBO
	},
	
	//Product 11
{
		//Product ID
		PRODUCT_11_PRODUCTID,
				//Product Name
		PRODUCT_11_PRODUCTNAME,
				//Product Line
		PRODUCT_11_PRODUCTLINE,
				//Product Type
		PRODUCT_11_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model28.png",
		//Number of Total Port
		9,
		//Number of Fiber Port
		1,
		//Tp Port geometry
		QRect(73,49,24,31),	 //Port 1
	QRect(73,84,24,31),	 //Port 2
	QRect(73,119,24,31),	 //Port 3
	QRect(73,155,24,31),	 //Port 4
	QRect(73,190,24,31),	 //Port 5
	QRect(73,226,24,31),	 //Port 6
	QRect(116,225,24,32),	 //Port 7
	QRect(116,178,24,33),	 //Port 8
	QRect(118,49,19,53),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_11_JUMBO
	},
	
	//Product 12
{
		//Product ID
		PRODUCT_12_PRODUCTID,
				//Product Name
		PRODUCT_12_PRODUCTNAME,
				//Product Line
		PRODUCT_12_PRODUCTLINE,
				//Product Type
		PRODUCT_12_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model29.png",
		//Number of Total Port
		9,
		//Number of Fiber Port
		1,
		//Tp Port geometry
		QRect(73,49,24,31),	 //Port 1
	QRect(73,84,24,31),	 //Port 2
	QRect(73,119,24,31),	 //Port 3
	QRect(73,155,24,31),	 //Port 4
	QRect(73,190,24,31),	 //Port 5
	QRect(73,226,24,31),	 //Port 6
	QRect(116,225,24,32),	 //Port 7
	QRect(116,178,24,33),	 //Port 8
	QRect(118,49,19,53),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_12_JUMBO
	},
	
	//Product 13
{
		//Product ID
		PRODUCT_13_PRODUCTID,
				//Product Name
		PRODUCT_13_PRODUCTNAME,
				//Product Line
		PRODUCT_13_PRODUCTLINE,
				//Product Type
		PRODUCT_13_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model30.png",
		//Number of Total Port
		9,
		//Number of Fiber Port
		2,
		//Tp Port geometry
		QRect(73,49,24,31),	 //Port 1
	QRect(73,84,24,31),	 //Port 2
	QRect(73,119,24,31),	 //Port 3
	QRect(73,155,24,31),	 //Port 4
	QRect(73,190,24,31),	 //Port 5
	QRect(73,226,24,31),	 //Port 6
	QRect(116,225,24,31),	 //Port 7
	QRect(118,117,19,52),	 //Port 8
	QRect(118,49,19,52),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_13_JUMBO
	},
	
	//Product 14
{
		//Product ID
		PRODUCT_14_PRODUCTID,
				//Product Name
		PRODUCT_14_PRODUCTNAME,
				//Product Line
		PRODUCT_14_PRODUCTLINE,
				//Product Type
		PRODUCT_14_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model31.png",
		//Number of Total Port
		9,
		//Number of Fiber Port
		2,
		//Tp Port geometry
		QRect(73,49,24,31),	 //Port 1
	QRect(73,84,24,31),	 //Port 2
	QRect(73,119,24,31),	 //Port 3
	QRect(73,155,24,31),	 //Port 4
	QRect(73,190,24,31),	 //Port 5
	QRect(73,226,24,31),	 //Port 6
	QRect(116,225,24,31),	 //Port 7
	QRect(118,117,19,52),	 //Port 8
	QRect(118,49,19,52),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_14_JUMBO
	},
	
	//Product 15
{
		//Product ID
		PRODUCT_15_PRODUCTID,
				//Product Name
		PRODUCT_15_PRODUCTNAME,
				//Product Line
		PRODUCT_15_PRODUCTLINE,
				//Product Type
		PRODUCT_15_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model32.png",
		//Number of Total Port
		26,
		//Number of Fiber Port
		2,
		//Tp Port geometry
		QRect(53,45,22,24),	 //Port 1
	QRect(76,45,22,24),	 //Port 2
	QRect(53,70,22,25),	 //Port 3
	QRect(76,70,22,25),	 //Port 4
	QRect(53,96,22,25),	 //Port 5
	QRect(76,96,22,25),	 //Port 6
	QRect(53,122,22,25),	 //Port 7
	QRect(76,122,22,25),	 //Port 8
	QRect(53,148,22,25),	 //Port 9
	QRect(76,148,22,25),	 //Port 10
	QRect(53,174,22,25),	 //Port 11
	QRect(76,174,22,25),	 //Port 12
	QRect(53,200,22,25),	 //Port 13
	QRect(76,200,22,25),	 //Port 14
	QRect(53,226,22,25),	 //Port 15
	QRect(76,226,22,25),	 //Port 16
	QRect(114,224,22,25),	 //Port 17
	QRect(137,224,22,25),	 //Port 18
	QRect(114,199,22,24),	 //Port 19
	QRect(137,199,22,24),	 //Port 20
	QRect(114,173,22,25),	 //Port 21
	QRect(137,173,22,25),	 //Port 22
	QRect(114,147,22,25),	 //Port 23
	QRect(137,147,22,25),	 //Port 24
	QRect(117,86,17,25),	 //Port 25
	QRect(117,43,17,25),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_15_JUMBO
    },


    //Product 15b
{
        //Product ID
        PRODUCT_15b_PRODUCTID,
                //Product Name
        PRODUCT_15b_PRODUCTNAME,
                //Product Line
        PRODUCT_15b_PRODUCTLINE,
                //Product Type
        PRODUCT_15b_PRODUCTTYPE,
        //Image Path
        ":/ProductImage/Model32.png",
        //Number of Total Port
        26,
        //Number of Fiber Port
        2,
        //Tp Port geometry
        QRect(53,45,22,24),	 //Port 1
    QRect(76,45,22,24),	 //Port 2
    QRect(53,70,22,25),	 //Port 3
    QRect(76,70,22,25),	 //Port 4
    QRect(53,96,22,25),	 //Port 5
    QRect(76,96,22,25),	 //Port 6
    QRect(53,122,22,25),	 //Port 7
    QRect(76,122,22,25),	 //Port 8
    QRect(53,148,22,25),	 //Port 9
    QRect(76,148,22,25),	 //Port 10
    QRect(53,174,22,25),	 //Port 11
    QRect(76,174,22,25),	 //Port 12
    QRect(53,200,22,25),	 //Port 13
    QRect(76,200,22,25),	 //Port 14
    QRect(53,226,22,25),	 //Port 15
    QRect(76,226,22,25),	 //Port 16
    QRect(114,224,22,25),	 //Port 17
    QRect(137,224,22,25),	 //Port 18
    QRect(114,199,22,24),	 //Port 19
    QRect(137,199,22,24),	 //Port 20
    QRect(114,173,22,25),	 //Port 21
    QRect(137,173,22,25),	 //Port 22
    QRect(114,147,22,25),	 //Port 23
    QRect(137,147,22,25),	 //Port 24
    QRect(117,86,17,25),	 //Port 25
    QRect(117,43,17,25),	 //Port 26
    QRect(0,0,0,0),	 //Port 27
    QRect(0,0,0,0),	 //Port 28
    QRect(0,0,0,0),	 //Port 29
    QRect(0,0,0,0),	 //Port 30
    QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_15b_JUMBO
    },
	
	//Product 16
{
		//Product ID
		PRODUCT_16_PRODUCTID,
				//Product Name
		PRODUCT_16_PRODUCTNAME,
				//Product Line
		PRODUCT_16_PRODUCTLINE,
				//Product Type
		PRODUCT_16_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model34.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		1,
		//Tp Port geometry
		QRect(94,47,25,32),	 //Port 1
	QRect(94,83,25,32),	 //Port 2
	QRect(94,117,25,32),	 //Port 3
	QRect(94,153,25,32),	 //Port 4
	QRect(91,230,21,31),	 //Port 5
	QRect(0,0,20,20),	 //Port 6
	QRect(0,0,20,20),	 //Port 7
	QRect(0,0,20,20),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_16_JUMBO
	},
	
	//Product 17
/*{
		//Product ID
		PRODUCT_17_PRODUCTID,
				//Product Name
		PRODUCT_17_PRODUCTNAME,
				//Product Line
		PRODUCT_17_PRODUCTLINE,
				//Product Type
		PRODUCT_17_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model35.png",
		//Number of Total Port
		10,
		//Number of Fiber Port
		2,
		//Tp Port geometry
		QRect(53,44,22,25),	 //Port 1
	QRect(76,44,22,25),	 //Port 2
	QRect(53,70,22,25),	 //Port 3
	QRect(76,70,22,25),	 //Port 4
	QRect(53,96,22,25),	 //Port 5
	QRect(76,96,22,25),	 //Port 6
	QRect(53,122,22,25),	 //Port 7
	QRect(76,122,22,25),	 //Port 8
	QRect(115,83,21,31),	 //Port 9
	QRect(115,41,21,31),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_17_JUMBO
    },*/

	//Product 18
/*{

		//Product ID
		PRODUCT_18_PRODUCTID,
				//Product Name
		PRODUCT_18_PRODUCTNAME,
				//Product Line
		PRODUCT_18_PRODUCTLINE,
				//Product Type
		PRODUCT_18_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model36.png",
		//Number of Total Port
		18,
		//Number of Fiber Port
		2,
		//Tp Port geometry
		QRect(53,44,22,25),	 //Port 1
	QRect(76,44,22,25),	 //Port 2
	QRect(53,70,22,25),	 //Port 3
	QRect(76,70,22,25),	 //Port 4
	QRect(53,96,22,25),	 //Port 5
	QRect(76,96,22,25),	 //Port 6
	QRect(53,122,22,25),	 //Port 7
	QRect(76,122,22,25),	 //Port 8
	QRect(53,148,22,25),	 //Port 9
	QRect(76,148,22,25),	 //Port 10
	QRect(53,174,22,25),	 //Port 11
	QRect(76,174,22,25),	 //Port 12
	QRect(53,200,22,25),	 //Port 13
	QRect(76,200,22,25),	 //Port 14
	QRect(53,226,22,25),	 //Port 15
	QRect(76,226,22,25),	 //Port 16
	QRect(115,83,21,31),	 //Port 17
	QRect(115,41,21,31),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_18_JUMBO
    },*/

	//Product 19
/*{
		//Product ID
		PRODUCT_19_PRODUCTID,
				//Product Name
		PRODUCT_19_PRODUCTNAME,
				//Product Line
		PRODUCT_19_PRODUCTLINE,
				//Product Type
		PRODUCT_19_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model37.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		1,
		//Tp Port geometry
		QRect(67,45,25,28),	 //Port 1
	QRect(67,74,25,28),	 //Port 2
	QRect(67,103,25,28),	 //Port 3
	QRect(67,132,25,29),	 //Port 4
	QRect(64,198,24,60),	 //Port 5
	QRect(0,0,20,20),	 //Port 6
	QRect(0,0,20,20),	 //Port 7
	QRect(0,0,20,20),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_19_JUMBO
    },*/

	//Product 20
/*{
		//Product ID
		PRODUCT_20_PRODUCTID,
				//Product Name
		PRODUCT_20_PRODUCTNAME,
				//Product Line
		PRODUCT_20_PRODUCTLINE,
				//Product Type
		PRODUCT_20_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model38.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		1,
		//Tp Port geometry
		QRect(67,45,25,28),	 //Port 1
	QRect(67,74,25,28),	 //Port 2
	QRect(67,103,25,28),	 //Port 3
	QRect(67,132,25,29),	 //Port 4
	QRect(64,198,24,59),	 //Port 5
	QRect(0,0,20,20),	 //Port 6
	QRect(0,0,20,20),	 //Port 7
	QRect(0,0,20,20),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_20_JUMBO
    },*/

	//Product 21
/*{
		//Product ID
		PRODUCT_21_PRODUCTID,
				//Product Name
		PRODUCT_21_PRODUCTNAME,
				//Product Line
		PRODUCT_21_PRODUCTLINE,
				//Product Type
		PRODUCT_21_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model39.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		0,
		//Tp Port geometry
        QRect(94,48,24,31),	 //Port 1
    QRect(94,84,24,31),	 //Port 2
    QRect(94,118,24,31),	 //Port 3
    QRect(94,152,24,32),	 //Port 4
    QRect(94,222,24,31),	 //Port 5
    QRect(0,1,20,20),	 //Port 6
    QRect(0,0,20,20),	 //Port 7
    QRect(0,0,20,20),	 //Port 8
    QRect(0,0,20,20),	 //Port 9
    QRect(0,0,20,20),	 //Port 10
    QRect(0,0,20,20),	 //Port 11
    QRect(0,0,20,20),	 //Port 12
    QRect(0,0,20,20),	 //Port 13
    QRect(0,0,20,20),	 //Port 14
    QRect(0,0,20,20),	 //Port 15
    QRect(0,0,20,20),	 //Port 16
    QRect(0,0,20,20),	 //Port 17
    QRect(0,0,20,20),	 //Port 18
    QRect(0,0,20,20),	 //Port 19
    QRect(0,0,20,20),	 //Port 20
    QRect(0,0,20,20),	 //Port 21
    QRect(0,0,20,20),	 //Port 22
    QRect(0,0,20,20),	 //Port 23
    QRect(0,0,20,20),	 //Port 24
    QRect(0,0,20,20),	 //Port 25
    QRect(0,0,20,20),	 //Port 26
    QRect(0,0,0,0),	 //Port 27
    QRect(0,0,0,0),	 //Port 28
    QRect(0,0,0,0),	 //Port 29
    QRect(0,0,0,0),	 //Port 30
    QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_21_JUMBO
    },*/

	//Product 22
/*{
		//Product ID
		PRODUCT_22_PRODUCTID,
				//Product Name
		PRODUCT_22_PRODUCTNAME,
				//Product Line
		PRODUCT_22_PRODUCTLINE,
				//Product Type
		PRODUCT_22_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model42.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		1,
		//Tp Port geometry
        QRect(94,47,25,32),	 //Port 1
    QRect(94,83,25,32),	 //Port 2
    QRect(94,117,25,32),	 //Port 3
    QRect(94,153,25,32),	 //Port 4
    QRect(91,230,21,31),	 //Port 5
    QRect(0,0,20,20),	 //Port 6
    QRect(0,0,20,20),	 //Port 7
    QRect(0,0,20,20),	 //Port 8
    QRect(0,0,20,20),	 //Port 9
    QRect(0,0,20,20),	 //Port 10
    QRect(0,0,20,20),	 //Port 11
    QRect(0,0,20,20),	 //Port 12
    QRect(0,0,20,20),	 //Port 13
    QRect(0,0,20,20),	 //Port 14
    QRect(0,0,20,20),	 //Port 15
    QRect(0,0,20,20),	 //Port 16
    QRect(0,0,20,20),	 //Port 17
    QRect(0,0,20,20),	 //Port 18
    QRect(0,0,20,20),	 //Port 19
    QRect(0,0,20,20),	 //Port 20
    QRect(0,0,20,20),	 //Port 21
    QRect(0,0,20,20),	 //Port 22
    QRect(0,0,20,20),	 //Port 23
    QRect(0,0,20,20),	 //Port 24
    QRect(0,0,20,20),	 //Port 25
    QRect(0,0,20,20),	 //Port 26
    QRect(0,0,0,0),	 //Port 27
    QRect(0,0,0,0),	 //Port 28
    QRect(0,0,0,0),	 //Port 29
    QRect(0,0,0,0),	 //Port 30
    QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_22_JUMBO
    },*/

	//Product 23
/*{
		//Product ID
		PRODUCT_23_PRODUCTID,
				//Product Name
		PRODUCT_23_PRODUCTNAME,
				//Product Line
		PRODUCT_23_PRODUCTLINE,
				//Product Type
		PRODUCT_23_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model43.png",
		//Number of Total Port
		5,
		//Number of Fiber Port
		0,
		//Tp Port geometry
        QRect(94,48,24,31),	 //Port 1
    QRect(94,84,24,31),	 //Port 2
    QRect(94,118,24,31),	 //Port 3
    QRect(94,152,24,32),	 //Port 4
    QRect(94,222,24,31),	 //Port 5
    QRect(0,1,20,20),	 //Port 6
    QRect(0,0,20,20),	 //Port 7
    QRect(0,0,20,20),	 //Port 8
    QRect(0,0,20,20),	 //Port 9
    QRect(0,0,20,20),	 //Port 10
    QRect(0,0,20,20),	 //Port 11
    QRect(0,0,20,20),	 //Port 12
    QRect(0,0,20,20),	 //Port 13
    QRect(0,0,20,20),	 //Port 14
    QRect(0,0,20,20),	 //Port 15
    QRect(0,0,20,20),	 //Port 16
    QRect(0,0,20,20),	 //Port 17
    QRect(0,0,20,20),	 //Port 18
    QRect(0,0,20,20),	 //Port 19
    QRect(0,0,20,20),	 //Port 20
    QRect(0,0,20,20),	 //Port 21
    QRect(0,0,20,20),	 //Port 22
    QRect(0,0,20,20),	 //Port 23
    QRect(0,0,20,20),	 //Port 24
    QRect(0,0,20,20),	 //Port 25
    QRect(0,0,20,20),	 //Port 26
    QRect(0,0,0,0),	 //Port 27
    QRect(0,0,0,0),	 //Port 28
    QRect(0,0,0,0),	 //Port 29
    QRect(0,0,0,0),	 //Port 30
    QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_23_JUMBO
    },*/

	//Product 24
/*{
		//Product ID
		PRODUCT_24_PRODUCTID,
				//Product Name
		PRODUCT_24_PRODUCTNAME,
				//Product Line
		PRODUCT_24_PRODUCTLINE,
				//Product Type
		PRODUCT_24_PRODUCTTYPE,
		//Image Path
		":/ProductImage/Model44.png",
		//Number of Total Port
		8,
		//Number of Fiber Port
		0,
		//Tp Port geometry
		QRect(53,44,22,25),	 //Port 1
	QRect(76,44,22,25),	 //Port 2
	QRect(53,70,22,25),	 //Port 3
	QRect(76,70,22,25),	 //Port 4
	QRect(53,96,22,25),	 //Port 5
	QRect(76,96,22,25),	 //Port 6
	QRect(53,122,22,25),	 //Port 7
	QRect(76,122,22,25),	 //Port 8
	QRect(0,0,20,20),	 //Port 9
	QRect(0,0,20,20),	 //Port 10
	QRect(0,0,20,20),	 //Port 11
	QRect(0,0,20,20),	 //Port 12
	QRect(0,0,20,20),	 //Port 13
	QRect(0,0,20,20),	 //Port 14
	QRect(0,0,20,20),	 //Port 15
	QRect(0,0,20,20),	 //Port 16
	QRect(0,0,20,20),	 //Port 17
	QRect(0,0,20,20),	 //Port 18
	QRect(0,0,20,20),	 //Port 19
	QRect(0,0,20,20),	 //Port 20
	QRect(0,0,20,20),	 //Port 21
	QRect(0,0,20,20),	 //Port 22
	QRect(0,0,20,20),	 //Port 23
	QRect(0,0,20,20),	 //Port 24
	QRect(0,0,20,20),	 //Port 25
	QRect(0,0,20,20),	 //Port 26
	QRect(0,0,0,0),	 //Port 27
	QRect(0,0,0,0),	 //Port 28
	QRect(0,0,0,0),	 //Port 29
	QRect(0,0,0,0),	 //Port 30
	QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_24_JUMBO
    },*/

    //Product 25
/*{
        //Product ID
        PRODUCT_25_PRODUCTID,
                //Product Name
        PRODUCT_25_PRODUCTNAME,
                //Product Line
        PRODUCT_25_PRODUCTLINE,
                //Product Type
        PRODUCT_25_PRODUCTTYPE,
        //Image Path
        ":/ProductImage/Model45.png",
        //Number of Total Port
        10,
        //Number of Fiber Port
        2,
        //Tp Port geometry
        QRect(53,44,22,25),	 //Port 1
    QRect(76,44,22,25),	 //Port 2
    QRect(53,70,22,25),	 //Port 3
    QRect(76,70,22,25),	 //Port 4
    QRect(53,96,22,25),	 //Port 5
    QRect(76,96,22,25),	 //Port 6
    QRect(53,122,22,25),	 //Port 7
    QRect(76,122,22,25),	 //Port 8
    QRect(115,83,21,31),	 //Port 9
    QRect(115,41,21,31),	 //Port 10
    QRect(53,174,22,25),	 //Port 11
    QRect(76,174,22,25),	 //Port 12
    QRect(53,200,22,25),	 //Port 13
    QRect(76,200,22,25),	 //Port 14
    QRect(53,226,22,25),	 //Port 15
    QRect(76,226,22,25),	 //Port 16
    QRect(115,83,21,31),	 //Port 17
    QRect(115,41,21,31),	 //Port 18
    QRect(0,0,20,20),	 //Port 19
    QRect(0,0,20,20),	 //Port 20
    QRect(0,0,20,20),	 //Port 21
    QRect(0,0,20,20),	 //Port 22
    QRect(0,0,20,20),	 //Port 23
    QRect(0,0,20,20),	 //Port 24
    QRect(0,0,20,20),	 //Port 25
    QRect(0,0,20,20),	 //Port 26
    QRect(0,0,0,0),	 //Port 27
    QRect(0,0,0,0),	 //Port 28
    QRect(0,0,0,0),	 //Port 29
    QRect(0,0,0,0),	 //Port 30
    QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_25_JUMBO
    }*/

    //Product 100  Oct8Tx
{
        //Product ID
        PRODUCT_100_PRODUCTID,
                //Product Name
        PRODUCT_100_PRODUCTNAME,
                //Product Line
        PRODUCT_100_PRODUCTLINE,
                //Product Type
        PRODUCT_100_PRODUCTTYPE,
        //Image Path
        ":/ProductImage/Model100.png",
        //Number of Total Port
        8,
        //Number of Fiber Port
        0,
        //Tp Port geometry
    QRect(74,27,20,20),     //Port 1
    QRect(74,67,20,20),     //Port 2
    QRect(74,107,20,20),	//Port 3
    QRect(74,147,20,20),	//Port 4
    QRect(119,27,20,20),	//Port 5
    QRect(119,67,20,20),	//Port 6
    QRect(119,107,20,20),	//Port 7
    QRect(119,147,20,20),	//Port 8
    QRect(0,0,20,20),	 //Port 9
    QRect(0,0,20,20),	 //Port 10
    QRect(0,0,20,20),	 //Port 11
    QRect(0,0,20,20),	 //Port 12
    QRect(0,0,20,20),	 //Port 13
    QRect(0,0,20,20),	 //Port 14
    QRect(0,0,20,20),	 //Port 15
    QRect(0,0,20,20),	 //Port 16
    QRect(0,0,20,20),	 //Port 17
    QRect(0,0,20,20),	 //Port 18
    QRect(0,0,20,20),	 //Port 19
    QRect(0,0,20,20),	 //Port 20
    QRect(0,0,20,20),	 //Port 21
    QRect(0,0,20,20),	 //Port 22
    QRect(0,0,20,20),	 //Port 23
    QRect(0,0,20,20),	 //Port 24
    QRect(0,0,20,20),	 //Port 25
    QRect(0,0,20,20),	 //Port 26
    QRect(0,0,0,0),	 //Port 27
    QRect(0,0,0,0),	 //Port 28
    QRect(0,0,0,0),	 //Port 29
    QRect(0,0,0,0),	 //Port 30
    QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_100_JUMBO
    },


    //Product 101  Oct8Tx_PoE
{
        //Product ID
        PRODUCT_101_PRODUCTID,
                //Product Name
        PRODUCT_101_PRODUCTNAME,
                //Product Line
        PRODUCT_101_PRODUCTLINE,
                //Product Type
        PRODUCT_101_PRODUCTTYPE,
        //Image Path
        ":/ProductImage/Model101.png",
        //Number of Total Port
        8,
        //Number of Fiber Port
        0,
        //Tp Port geometry
        QRect(74,27,20,20),     //Port 1
        QRect(74,67,20,20),     //Port 2
        QRect(74,107,20,20),	//Port 3
        QRect(74,147,20,20),	//Port 4
        QRect(119,27,20,20),	//Port 5
        QRect(119,67,20,20),	//Port 6
        QRect(119,107,20,20),	//Port 7
        QRect(119,147,20,20),	//Port 8
    QRect(0,0,20,20),	 //Port 9
    QRect(0,0,20,20),	 //Port 10
    QRect(0,0,20,20),	 //Port 11
    QRect(0,0,20,20),	 //Port 12
    QRect(0,0,20,20),	 //Port 13
    QRect(0,0,20,20),	 //Port 14
    QRect(0,0,20,20),	 //Port 15
    QRect(0,0,20,20),	 //Port 16
    QRect(0,0,20,20),	 //Port 17
    QRect(0,0,20,20),	 //Port 18
    QRect(0,0,20,20),	 //Port 19
    QRect(0,0,20,20),	 //Port 20
    QRect(0,0,20,20),	 //Port 21
    QRect(0,0,20,20),	 //Port 22
    QRect(0,0,20,20),	 //Port 23
    QRect(0,0,20,20),	 //Port 24
    QRect(0,0,20,20),	 //Port 25
    QRect(0,0,20,20),	 //Port 26
    QRect(0,0,0,0),	 //Port 27
    QRect(0,0,0,0),	 //Port 28
    QRect(0,0,0,0),	 //Port 29
    QRect(0,0,0,0),	 //Port 30
    QRect(0,0,0,0),	 //Port 31
    QRect(0,0,0,0),	 //Port 32
        PRODUCT_101_JUMBO
    },


    };
#endif
